Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.lang.model.type
Class UnknownTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.lang.model.type.UnknownTypeException

All Implemented Interfaces:
  Serializable

    public class UnknownTypeException

extends RuntimeException

Indicates that an unknown kind of type was encountered. This can occur if the language evolves and new kinds of types are added to the `TypeMirror` hierarchy. May be thrown by a type visitor to indicate that the visitor was created for a prior version of the language.

Since:
  1.6
See Also:
  `TypeVisitor.visitUnknown(javax.lang.model.type.TypeMirror, P)`, Serialized Form

Constructor Summary
`UnknownTypeException(TypeMirror t, Object p)` Creates a new `UnknownTypeException`.The `p` parameter may be used to pass in an additional argument with information about the context in which the unknown type was encountered; for example, the visit methods of `TypeVisitor` may pass in their additional parameter.

Method Summary
`Object` | `getArgument()` Returns the additional argument.
`TypeMirror` | `getUnknownType()` Returns the unknown type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownTypeException

    public UnknownTypeException(TypeMirror t,
                                Object p)

  Creates a new `UnknownTypeException`.The `p` parameter may be used to pass in an additional argument with information about the context in which the unknown type was encountered; for example, the visit methods of `TypeVisitor` may pass in their additional parameter.

  Parameters:
    `t` - the unknown type, may be `null`
    `p` - an additional parameter, may be `null`

Method Detail

### getUnknownType

    public TypeMirror getUnknownType()

  Returns the unknown type. The value may be unavailable if this exception has been serialized and then read back in.

  Returns:
    the unknown type, or `null` if unavailable

### getArgument

    public Object getArgument()

  Returns the additional argument.

  Returns:
    the additional argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.